import { world, system } from "@minecraft/server"
import { backpack } from "./backpack.js"

//Backpack Spawn
world.afterEvents.itemUse.subscribe(use => { if(use.itemStack.typeId.includes("bp:backpack_") && use.itemStack.typeId.includes("_item")) backpack.spawnBackpack(use, use.itemStack.typeId.replace('bp:backpack_', '').replace('_item', '')) })

//Backpack Paint/Return From The Moon
system.afterEvents.scriptEventReceive.subscribe(ev => { if(typeof backpack[ev.id] === "function") backpack[ev.id](ev) })

//Backpack Get
world.afterEvents.entityHitEntity.subscribe(hit => { if(typeof backpack[hit.hitEntity.typeId] === "function") backpack[hit.hitEntity.typeId](hit.hitEntity) })
world.afterEvents.entityHurt.subscribe(hurt => { if(typeof backpack[hurt.hurtEntity.typeId] === "function") backpack[hurt.hurtEntity.typeId](hurt.hurtEntity) })